query.h File Reference

Defines a class for building and executing SQL queries. More...

`#include "common.h"`
`#include "exceptions.h"`
`#include "noexceptions.h"`
`#include "qparms.h"`
`#include "querydef.h"`
`#include "result.h"`
`#include "row.h"`
`#include "sqlstream.h"`
`#include "stadapter.h"`
`#include "transaction.h"`
`#include <deque>`
`#include <iomanip>`
`#include <list>`
`#include <map>`
`#include <set>`
`#include <vector>`
`#include "insertpolicy.h"`

Go to the source code of this file.

## Classes

class | mysqlpp::Query
| A class for building and executing SQL queries. More...
class | mysqlpp::Query::RowCountInsertPolicy< AccessController >
| An insert policy object that triggers a new INSERT statement after a given number of rows have been inserted. More...
class | mysqlpp::Query::SizeThresholdInsertPolicy< AccessController >
| An insert policy object that triggers a new INSERT statement after a size threshold for the length of the INSERT statement is exceeded. More...
class | mysqlpp::Query::MaxPacketInsertPolicy< AccessController >
| An insert policy object that triggers a new INSERT statement if the object to be added would cause the statement to exceed a maximum size. More...

## Functions

std::ostream & | mysqlpp::operator<< (std::ostream &os, Query &q)
| Insert raw query string into the given stream. More...

## Detailed Description

Defines a class for building and executing SQL queries.